From 8a77b1abdbee3566eb550855f2162dec3126adc8 Mon Sep 17 00:00:00 2001
From: Adam Spragg <adam@spra.gg>
Date: Tue, 24 May 2022 09:51:55 +0100
Subject: Add post-merge git hook.

It's the same as the post-checkout hook, doing the same job. I thought
about symlinking instead of copying, but something doesn't sit quite
right about that.
---
 examples/hooks/post-merge | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100755 examples/hooks/post-merge

diff --git a/examples/hooks/post-merge b/examples/hooks/post-merge
new file mode 100755
index 0000000..938305f
--- /dev/null
+++ b/examples/hooks/post-merge
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to set metadata information using
+# metastore after a successful merge
+
+MSFILE=".metadata"
+
+exit_on_fail() {
+	"$@"
+	if [ $? -ne 0 ]; then
+		echo "Failed to execute: $@" >&2
+		exit 1
+	fi
+}
+
+if [ ! -e "$MSFILE" ]; then
+	echo "\"$MSFILE\" missing" >&2
+	exit 1
+fi
+
+exit_on_fail \
+	metastore -a -m -e -E -q -f "$MSFILE"
+
+exit 0
-- 
cgit v1.2.1